#!/bin/sh
#
# Builds the distribution zip file that contains a properly formatted 
# Processing library.  Unzip the resulting file in the 'libraries' directory
# in Processing to install.
#
# Before running this script, run 'build-processing-jar.sh'
#

rm -rf roombacomm
rm roombacomm-java.zip

mkdir                      roombacomm
cp ../rxtxlib/*            roombacomm
cp roombacomm.jar          roombacomm
cp run-it.sh               roombacomm
cp ../README               roombacomm

zip -r roombacomm-java.zip roombacomm
