#!/bin/sh
#
# Builds the distribution zip file that contains a properly formatted 
# Processing library.  Unzip the resulting file in the 'libraries' directory
# in Processing to install.
#
# Before running this script, run 'build-processing-jar.sh'
#

rm -rf roombacomm
rm roombacomm-processing.zip

mkdir -p                     roombacomm/library
cp roombacomm-processing.jar roombacomm/library/roombacomm.jar
cp roombacomm.jar            roombacomm/library/roombacomm-core.jar
cp processing-export.txt     roombacomm/library/export.txt
cp ../rxtxlib/*              roombacomm/library 
cp -r ../examples            roombacomm
cp ../README                 roombacomm

zip -r roombacomm-processing.zip roombacomm
