import roombacomm.processing.*;

//
// A simple example of API use in Processing
//
RoombaCommSerial roombacomm = new RoombaCommSerial(this);

if( roombacomm.connect("/dev/cu.KeySerial1") ) {
    println("connected!");
    roombacomm.startup();
    
    println("Playing some notes");
    roombacomm.playNote( 72, 10 );
    roombacomm.pause( 200 );
    roombacomm.playNote( 79, 10 );
    roombacomm.pause( 200 );
    roombacomm.playNote( 76, 10 );
    roombacomm.pause( 200 );
    
    println("Spinning left, then right");
    roombacomm.spinLeft();
    roombacomm.pause(1000);
    roombacomm.spinRight();
    roombacomm.pause(1000);
    roombacomm.stop();

    println("Going forward, then backward");
    roombacomm.goForward();
    roombacomm.pause(2000);
    roombacomm.goBackward();
    roombacomm.pause(2000);
    roombacomm.stop();
    
    println("Disconnecting");
    roombacomm.disconnect();
}
else { 
  println("could not connect! :(");
}

